| OpenCV 5.0.0alpha Open Source Computer Vision

Loading...
Searching...
No Matches
Namespaces | Classes | Typedefs | Enumerations | Functions
cv::gapi::video Namespace Reference

This namespace contains G-API Operations and functions for video-oriented algorithms, like optical flow and background subtraction. More...

## Namespaces
namespace | cpu

## Classes
struct | BackgroundSubtractorParams
| Structure for the Background Subtractor operation's initialization parameters. More...

## Typedefs
using | GBuildPyrOutput = std::tuple<GArray<GMat>, GScalar>
using | GOptFlowLKOutput

## Enumerations
enum | BackgroundSubtractorType { TYPE_BS_MOG2 , TYPE_BS_KNN }

## Functions
void | checkParams (const cv::gapi::KalmanParams &kfParams, const cv::GMatDesc &measurement, const cv::GMatDesc &control={})
| G_TYPED_KERNEL (GBackgroundSubtractor,< GMat(GMat, BackgroundSubtractorParams)>, "org.opencv.video.BackgroundSubtractor")
| G_TYPED_KERNEL (GBuildOptFlowPyramid,< GBuildPyrOutput(GMat, Size, GScalar, bool, int, int, bool)>, "org.opencv.video.buildOpticalFlowPyramid")
| G_TYPED_KERNEL (GCalcOptFlowLK,< GOptFlowLKOutput(GMat, GMat, cv::GArray< cv::Point2f >, cv::GArray< cv::Point2f >, Size, GScalar, TermCriteria, int, double)>, "org.opencv.video.calcOpticalFlowPyrLK")
| G_TYPED_KERNEL (GCalcOptFlowLKForPyr,< GOptFlowLKOutput(cv::GArray< cv::GMat >, cv::GArray< cv::GMat >, cv::GArray< cv::Point2f >, cv::GArray< cv::Point2f >, Size, GScalar, TermCriteria, int, double)>, "org.opencv.video.calcOpticalFlowPyrLKForPyr")
| G_TYPED_KERNEL (GKalmanFilter,< GMat(GMat, GOpaque< bool >, GMat, KalmanParams)>, "org.opencv.video.KalmanFilter")

## Detailed Description

This namespace contains G-API Operations and functions for video-oriented algorithms, like optical flow and background subtraction.

## Typedef Documentation

## ◆ GBuildPyrOutput

using cv::gapi::video::GBuildPyrOutput = std::tuple<GArray<GMat>, GScalar>

## ◆ GOptFlowLKOutput

using cv::gapi::video::GOptFlowLKOutput

Initial value:
std::tuple<cv::GArray<cv::Point2f>,
cv::GArray<uchar>,
cv::GArray<float>>
cv::GArray
cv::GArray<T> template class represents a list of objects of class T in the graph.
Definition garray.hpp:366

## Enumeration Type Documentation

## ◆ BackgroundSubtractorType

enum cv::gapi::video::BackgroundSubtractorType

Enumerator
TYPE_BS_MOG2 Python: cv.gapi.video.TYPE_BS_MOG2 |
TYPE_BS_KNN Python: cv.gapi.video.TYPE_BS_KNN |

## Function Documentation

## ◆ checkParams()

void cv::gapi::video::checkParams | ( | const cv::gapi::KalmanParams & | kfParams,
|  | const cv::GMatDesc & | measurement,
|  | const cv::GMatDesc & | control = {} )

## ◆ G_TYPED_KERNEL() [1/5]

cv::gapi::video::G_TYPED_KERNEL | ( | GBackgroundSubtractor | ,
|  | < GMat(GMat, BackgroundSubtractorParams)> | ,
|  | "org.opencv.video.BackgroundSubtractor" | )

Here is the call graph for this function:

## ◆ G_TYPED_KERNEL() [2/5]

cv::gapi::video::G_TYPED_KERNEL | ( | GBuildOptFlowPyramid | ,
|  | < GBuildPyrOutput(GMat, Size, GScalar, bool, int, int, bool)> | ,
|  | "org.opencv.video.buildOpticalFlowPyramid" | )

Here is the call graph for this function:

## ◆ G_TYPED_KERNEL() [3/5]

cv::gapi::video::G_TYPED_KERNEL | ( | GCalcOptFlowLK | ,
|  | < GOptFlowLKOutput(GMat, GMat, cv::GArray< cv::Point2f >, cv::GArray< cv::Point2f >, Size, GScalar, TermCriteria, int, double)> | ,
|  | "org.opencv.video.calcOpticalFlowPyrLK" | )

Here is the call graph for this function:

## ◆ G_TYPED_KERNEL() [4/5]

cv::gapi::video::G_TYPED_KERNEL | ( | GCalcOptFlowLKForPyr | ,
|  | < GOptFlowLKOutput(cv::GArray< cv::GMat >, cv::GArray< cv::GMat >, cv::GArray< cv::Point2f >, cv::GArray< cv::Point2f >, Size, GScalar, TermCriteria, int, double)> | ,
|  | "org.opencv.video.calcOpticalFlowPyrLKForPyr" | )

Here is the call graph for this function:

## ◆ G_TYPED_KERNEL() [5/5]

cv::gapi::video::G_TYPED_KERNEL | ( | GKalmanFilter | ,
|  | < GMat(GMat, GOpaque< bool >, GMat, KalmanParams)> | ,
|  | "org.opencv.video.KalmanFilter" | )

Here is the call graph for this function: